package org.mentalog;

import java.io.IOException;
import java.io.PrintStream;
import java.util.List;

import org.mentalog.encoder.Encoder;
import org.mentalog.timestamper.Timestamper;

public class ExtendedDefaultLogger extends DefaultLogger {

	public ExtendedDefaultLogger(PrintStream stream, String prefix, Timestamper timestamper, boolean isSynchronized, byte[] color, List<Encoder> encoders, Log level) {
	    super(stream, prefix, timestamper, isSynchronized, color, encoders, level);
    }

	public ExtendedDefaultLogger(String dir, String filename, Timestamper timestamper, boolean isSynchronized, boolean isMemoryMapped, int memoryMappedBufferSize,
            List<Encoder> encoders, Log level) throws IOException {
	    super(dir, filename, timestamper, isSynchronized, isMemoryMapped, memoryMappedBufferSize, encoders, level);
    }

	public ExtendedDefaultLogger(String filename, Timestamper timestamper, boolean isSynchronized, boolean isMemoryMapped, int memoryMappedBufferSize, List<Encoder> encoders,
            Log level) throws IOException {
	    super(filename, timestamper, isSynchronized, isMemoryMapped, memoryMappedBufferSize, encoders, level);
    }
	
	public static boolean isExtension() {
		return false;
	}
	
}