package org.mentalog.config;

public class BooleanConfigParam extends ConfigParam<Boolean> {

	public BooleanConfigParam(String name, Boolean defValue) {
		super(name, defValue);
	}

	public final boolean isForcedTrue() {
		return isForced() && bool();
	}

	public final boolean isForcedFalse() {
		return isForced() && !bool();
	}

	public final boolean bool() {
		return value();
	}
	
	@Override
	protected Boolean parseString(String s) {
		return Boolean.parseBoolean(s);
	}

}