package org.mentalog.config;

import org.mentalog.Log;

public class LogConfigParam extends ConfigParam<Log> {

	public LogConfigParam(String name, Log defValue) {
		super(name, defValue);
	}

	@Override
	protected Log parseString(String level) {
		String formattedLevel = level.substring(0, 1).toUpperCase() + level.substring(1, level.length()).toLowerCase();
		try {
			return Enum.valueOf(Log.class, formattedLevel);
		} catch (Exception e) {
			return null;
		}
	}
}